{strategic(X1)} :- produced_by(X,X1,X2).
{strategic(X2)} :- produced_by(X,X1,X2).
:- produced_by(X,X1,X2), not strategic(X2), not strategic(X1).
strategic(W) :- controlled_by(W,X1,X2,X3), strategic(X1), strategic(X2), strategic(X3).
:- strategic_pair(X,Y), not strategic(X).
:- strategic_pair(X,Y), not strategic(Y).

:- produced_by(X,X1,X2), strategic(X2), strategic(X1),X1!=X2.


